OpenVDB 11.0.0

Loading...
Searching...
No Matches
nanovdb::io::Internal Namespace Reference

Internal functions for compressed read/write of a NanoVDB GridHandle into a stream. More...

## Functions
template<typename BufferT>
static fileSize_t | write (std::ostream &os, const GridHandle< BufferT > &handle, Codec codec, uint32_t n)
template<typename BufferT>
static void | read (std::istream &is, BufferT &buffer, Codec codec)
static void | read (std::istream &is, char *data, fileSize_t size, Codec codec)
| read compressed grid from stream

## Variables
static constexpr fileSize_t | MAX_SIZE = 1UL << 30

## Detailed Description

Internal functions for compressed read/write of a NanoVDB GridHandle into a stream.

Warning
  These functions should never be called directly by client code

## Function Documentation

## ◆ read() [1/2]

template<typename BufferT>

void read | ( | std::istream & | is,
|  | BufferT & | buffer,
|  | Codec | codec )
| static

## ◆ read() [2/2]

void read | ( | std::istream & | is,
|  | char * | data,
|  | fileSize_t | residual,
|  | Codec | codec )
| static

read compressed grid from stream

Parameters

  is | input stream to read from
  data | data buffer to write into
  residual | expected size of uncompressed data
  codec | mode of compression

## ◆ write()

template<typename BufferT>

fileSize_t write | ( | std::ostream & | os,
|  | const GridHandle< BufferT > & | handle,
|  | Codec | codec,
|  | uint32_t | n )
| static

## Variable Documentation

## ◆ MAX_SIZE

fileSize_t MAX_SIZE = 1UL << 30
| static constexpr